/*
 * hmi.h
 *
 *  Created on: Apr 16, 2023
 *      Author: Flax
 */

#ifndef INC_HMI_H_
#define INC_HMI_H_

// ===============
// Shared includes
// ===============
#include "stdbool.h"

// ===============
// Shared typedefs
// ===============

typedef enum {
	HMI_EVENT_INPUT_NONE,
	HMI_EVENT_INPUT_MOVE_RIGHT,
	HMI_EVENT_INPUT_MOVE_LEFT,
	HMI_EVENT_INPUT_CLIC_SHORT,
	HMI_EVENT_INPUT_CLIC_LONG,
}e_HMIInputEventType;

// ================
// Shared constants
// ================

// ===========================
// Shared functions prototypes
// ===========================

extern void HMIInit (void);
extern void HMIStart (void);
extern void HMIStop (void);
extern void HMICyclicTask (void);
extern bool HMIPopInputEvent (e_HMIInputEventType *evt);
extern bool HMIIsInputEventAvailable (void);

#endif /* INC_HMI_H_ */
