/* USER CODE BEGIN Header */
/**
  ******************************************************************************
  * @file           : main.h
  * @brief          : Header for main.c file.
  *                   This file contains the common defines of the application.
  ******************************************************************************
  * @attention
  *
  * Copyright (c) 2023 STMicroelectronics.
  * All rights reserved.
  *
  * This software is licensed under terms that can be found in the LICENSE file
  * in the root directory of this software component.
  * If no LICENSE file comes with this software, it is provided AS-IS.
  *
  ******************************************************************************
  */
/* USER CODE END Header */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes ------------------------------------------------------------------*/
#include "stm32l0xx_ll_adc.h"
#include "stm32l0xx_ll_i2c.h"
#include "stm32l0xx_ll_crs.h"
#include "stm32l0xx_ll_rcc.h"
#include "stm32l0xx_ll_bus.h"
#include "stm32l0xx_ll_system.h"
#include "stm32l0xx_ll_exti.h"
#include "stm32l0xx_ll_cortex.h"
#include "stm32l0xx_ll_utils.h"
#include "stm32l0xx_ll_pwr.h"
#include "stm32l0xx_ll_dma.h"
#include "stm32l0xx_ll_spi.h"
#include "stm32l0xx_ll_tim.h"
#include "stm32l0xx_ll_usart.h"
#include "stm32l0xx_ll_gpio.h"

#if defined(USE_FULL_ASSERT)
#include "stm32_assert.h"
#endif /* USE_FULL_ASSERT */

/* Private includes ----------------------------------------------------------*/
/* USER CODE BEGIN Includes */

/* USER CODE END Includes */

/* Exported types ------------------------------------------------------------*/
/* USER CODE BEGIN ET */

/* USER CODE END ET */

/* Exported constants --------------------------------------------------------*/
/* USER CODE BEGIN EC */

/* USER CODE END EC */

/* Exported macro ------------------------------------------------------------*/
/* USER CODE BEGIN EM */

/* USER CODE END EM */

/* Exported functions prototypes ---------------------------------------------*/
void Error_Handler(void);

/* USER CODE BEGIN EFP */

/* USER CODE END EFP */

/* Private defines -----------------------------------------------------------*/
#define ADC_TEMP_Pin LL_GPIO_PIN_0
#define ADC_TEMP_GPIO_Port GPIOA
#define VCP_TX_Pin LL_GPIO_PIN_2
#define VCP_TX_GPIO_Port GPIOA
#define ENC2_Pin LL_GPIO_PIN_3
#define ENC2_GPIO_Port GPIOA
#define ENC2_EXTI_IRQn EXTI2_3_IRQn
#define ENC1_Pin LL_GPIO_PIN_0
#define ENC1_GPIO_Port GPIOB
#define ENC1_EXTI_IRQn EXTI0_1_IRQn
#define LED_Pin LL_GPIO_PIN_1
#define LED_GPIO_Port GPIOB
#define PWM_HEATER_Pin LL_GPIO_PIN_8
#define PWM_HEATER_GPIO_Port GPIOA
#define ENC_SW_Pin LL_GPIO_PIN_9
#define ENC_SW_GPIO_Port GPIOA
#define DISPLAY_K3_Pin LL_GPIO_PIN_11
#define DISPLAY_K3_GPIO_Port GPIOA
#define STANDBY_SW_Pin LL_GPIO_PIN_12
#define STANDBY_SW_GPIO_Port GPIOA
#define TMS_Pin LL_GPIO_PIN_13
#define TMS_GPIO_Port GPIOA
#define TCK_Pin LL_GPIO_PIN_14
#define TCK_GPIO_Port GPIOA
#define VCP_RX_Pin LL_GPIO_PIN_15
#define VCP_RX_GPIO_Port GPIOA
#define LED_BLUE_Pin LL_GPIO_PIN_3
#define LED_BLUE_GPIO_Port GPIOB
#define DISPLAY_LATCH_Pin LL_GPIO_PIN_4
#define DISPLAY_LATCH_GPIO_Port GPIOB
#define DISPLAY_K1_Pin LL_GPIO_PIN_6
#define DISPLAY_K1_GPIO_Port GPIOB
#define DISPLAY_K2_Pin LL_GPIO_PIN_7
#define DISPLAY_K2_GPIO_Port GPIOB
#ifndef NVIC_PRIORITYGROUP_0
#define NVIC_PRIORITYGROUP_0         ((uint32_t)0x00000007) /*!< 0 bit  for pre-emption priority,
                                                                 4 bits for subpriority */
#define NVIC_PRIORITYGROUP_1         ((uint32_t)0x00000006) /*!< 1 bit  for pre-emption priority,
                                                                 3 bits for subpriority */
#define NVIC_PRIORITYGROUP_2         ((uint32_t)0x00000005) /*!< 2 bits for pre-emption priority,
                                                                 2 bits for subpriority */
#define NVIC_PRIORITYGROUP_3         ((uint32_t)0x00000004) /*!< 3 bits for pre-emption priority,
                                                                 1 bit  for subpriority */
#define NVIC_PRIORITYGROUP_4         ((uint32_t)0x00000003) /*!< 4 bits for pre-emption priority,
                                                                 0 bit  for subpriority */
#endif

/* USER CODE BEGIN Private defines */

/* USER CODE END Private defines */

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */
